function GetEnhancementPrefix(unitID, iconID)
    local prefix = ''
    if string.sub(unitID, 2, 2) == 'a' then
	prefix = '/game/aeon-enhancements/'..iconID
    elseif string.sub(unitID, 2, 2) == 'e' then
	prefix = '/game/uef-enhancements/'..iconID
    elseif string.sub(unitID, 2, 2) == 'r' then
	prefix = '/game/cybran-enhancements/'..iconID
    elseif unitID == 'tbot' then
	prefix = '/game/cybran-enhancements/'..iconID
    elseif string.sub(unitID, 2, 2) == 's' then
	prefix = '/game/seraphim-enhancements/'..iconID
    end
    return prefix
end

function GetEnhancementTextures(unitID, iconID)
    local prefix = GetEnhancementPrefix(unitID, iconID)
    return UIUtil.UIFile(prefix..'_btn_up.dds'),
	UIUtil.UIFile(prefix..'_btn_down.dds'),
	UIUtil.UIFile(prefix..'_btn_over.dds'),
	UIUtil.UIFile(prefix..'_btn_up.dds'),
	UIUtil.UIFile(prefix..'_btn_sel.dds')
end
